# GstMpeg4Parser

For more details about the structures, you can refer to the specifications: ISO-IEC-14496-2_2004_MPEG4_VISUAL.pdf

## GstMpeg4GroupOfVOP

The group of video object plane structure as defined in: 6.2.4 Group of Video Object Plane

### Members

`hours` (guint8) –
No description available
`minutes` (guint8) –
No description available
`seconds` (guint8) –
No description available
`closed` (guint8) –
No description available
`broken_link` (guint8) –
No description available

## GstCodecParsers.Mpeg4GroupOfVOP

The group of video object plane structure as defined in: 6.2.4 Group of Video Object Plane

### Members

`hours` (Number) –
No description available
`minutes` (Number) –
No description available
`seconds` (Number) –
No description available
`closed` (Number) –
No description available
`broken_link` (Number) –
No description available

## GstCodecParsers.Mpeg4GroupOfVOP

The group of video object plane structure as defined in: 6.2.4 Group of Video Object Plane

### Members

`hours` (int) –
No description available
`minutes` (int) –
No description available
`seconds` (int) –
No description available
`closed` (int) –
No description available
`broken_link` (int) –
No description available

## GstMpeg4Packet

A structure that contains the type of a packet, its offset and its size

### Members

`data` (const guint8 *) –

the data containing packet starting at offset

`offset` (guint) –

offset of the start of the packet (without the 3 bytes startcode), but including the GstMpeg4StartCode byte.

`size` (gsize) –

The size in bytes of the packet or G_MAXUINT if the end wasn't found.

`marker_size` (guint) –

The size in bit of the resync marker.

`type` (GstMpeg4StartCode) –

the type of the packet that start at offset

## GstCodecParsers.Mpeg4Packet

A structure that contains the type of a packet, its offset and its size

### Members

`data` (Number) –

the data containing packet starting at offset

`offset` (Number) –

offset of the start of the packet (without the 3 bytes startcode), but including the GstCodecParsers.Mpeg4StartCode byte.

`size` (Number) –

The size in bytes of the packet or G_MAXUINT (not introspectable) if the end wasn't found.

`marker_size` (Number) –

The size in bit of the resync marker.

`type` (GstCodecParsers.Mpeg4StartCode) –

the type of the packet that start at offset

## GstCodecParsers.Mpeg4Packet

A structure that contains the type of a packet, its offset and its size

### Members

`data` (int) –

the data containing packet starting at offset

`offset` (int) –

offset of the start of the packet (without the 3 bytes startcode), but including the GstCodecParsers.Mpeg4StartCode byte.

`size` (int) –

The size in bytes of the packet or G_MAXUINT (not introspectable) if the end wasn't found.

`marker_size` (int) –

The size in bit of the resync marker.

`type` (GstCodecParsers.Mpeg4StartCode) –

the type of the packet that start at offset

## GstMpeg4SpriteTrajectory

The sprite trajectory structure as defined in: 7.8.4 Sprite reference point decoding and 6.2.5.4 Sprite coding

### Members

`vop_ref_points` (guint16 *) –
No description available
`sprite_ref_points` (guint16 *) –
No description available

## GstCodecParsers.Mpeg4SpriteTrajectory

The sprite trajectory structure as defined in: 7.8.4 Sprite reference point decoding and 6.2.5.4 Sprite coding

### Members

`vop_ref_points` ([ Number ]) –
No description available
`sprite_ref_points` ([ Number ]) –
No description available

## GstCodecParsers.Mpeg4SpriteTrajectory

The sprite trajectory structure as defined in: 7.8.4 Sprite reference point decoding and 6.2.5.4 Sprite coding

### Members

`vop_ref_points` ([ int ]) –
No description available
`sprite_ref_points` ([ int ]) –
No description available

## GstMpeg4VideoObjectLayer

The video object layer structure as defined in: 6.2.3 Video Object Layer

### Members

`random_accessible_vol` (guint8) –
No description available
`video_object_type_indication` (guint8) –
No description available
`is_object_layer_identifier` (guint8) –
No description available
`verid` (guint8) –
No description available
`priority` (guint8) –
No description available
`aspect_ratio_info` (GstMpeg4AspectRatioInfo) –
No description available
`par_width` (guint8) –
No description available
`par_height` (guint8) –
No description available
`control_parameters` (guint8) –
No description available
`chroma_format` (GstMpeg4ChromaFormat) –
No description available
`low_delay` (guint8) –
No description available
`vbv_parameters` (guint8) –
No description available
`first_half_bitrate` (guint16) –
No description available
`latter_half_bitrate` (guint16) –
No description available
`first_half_vbv_buffer_size` (guint16) –
No description available
`latter_half_vbv_buffer_size` (guint16) –
No description available
`first_half_vbv_occupancy` (guint16) –
No description available
`latter_half_vbv_occupancy` (guint16) –
No description available
`bit_rate` (guint32) –
No description available
`vbv_buffer_size` (guint32) –
No description available
`shape` (GstMpeg4VideoObjectLayerShape) –
No description available
`shape_extension` (guint8) –
No description available
`vop_time_increment_resolution` (guint16) –
No description available
`vop_time_increment_bits` (guint8) –
No description available
`fixed_vop_rate` (guint8) –
No description available
`fixed_vop_time_increment` (guint16) –
No description available
`width` (guint16) –
No description available
`height` (guint16) –
No description available
`interlaced` (guint8) –
No description available
`obmc_disable` (guint8) –
No description available
`sprite_enable` (GstMpeg4SpriteEnable) –
No description available
`sprite_width` (guint16) –
No description available
`sprite_height` (guint16) –
No description available
`sprite_left_coordinate` (guint16) –
No description available
`sprite_top_coordinate` (guint16) –
No description available
`no_of_sprite_warping_points` (guint8) –
No description available
`sprite_warping_accuracy` (guint8) –
No description available
`sprite_brightness_change` (guint8) –
No description available
`low_latency_sprite_enable` (guint8) –
No description available
`sadct_disable` (guint8) –
No description available
`not_8_bit` (guint8) –
No description available
`quant_precision` (guint8) –
No description available
`bits_per_pixel` (guint8) –
No description available
`no_gray_quant_update` (guint8) –
No description available
`composition_method` (guint8) –
No description available
`linear_composition` (guint8) –
No description available
`quant_type` (guint8) –
No description available
`load_intra_quant_mat` (guint8) –
No description available
`intra_quant_mat` (guint8 *) –
No description available
`load_non_intra_quant_mat` (guint8) –
No description available
`non_intra_quant_mat` (guint8 *) –
No description available
`quarter_sample` (guint8) –
No description available
`complexity_estimation_disable` (guint8) –
No description available
`resync_marker_disable` (guint8) –
No description available
`data_partitioned` (guint8) –
No description available
`reversible_vlc` (guint8) –
No description available
`newpred_enable` (guint8) –
No description available
`reduced_resolution_vop_enable` (guint8) –
No description available
`scalability` (guint8) –
No description available
`enhancement_type` (guint8) –
No description available
`short_hdr` (GstMpeg4VideoPlaneShortHdr) –
No description available

## GstCodecParsers.Mpeg4VideoObjectLayer

The video object layer structure as defined in: 6.2.3 Video Object Layer

### Members

`random_accessible_vol` (Number) –
No description available
`video_object_type_indication` (Number) –
No description available
`is_object_layer_identifier` (Number) –
No description available
`verid` (Number) –
No description available
`priority` (Number) –
No description available
`aspect_ratio_info` (GstCodecParsers.Mpeg4AspectRatioInfo) –
No description available
`par_width` (Number) –
No description available
`par_height` (Number) –
No description available
`control_parameters` (Number) –
No description available
`chroma_format` (GstCodecParsers.Mpeg4ChromaFormat) –
No description available
`low_delay` (Number) –
No description available
`vbv_parameters` (Number) –
No description available
`first_half_bitrate` (Number) –
No description available
`latter_half_bitrate` (Number) –
No description available
`first_half_vbv_buffer_size` (Number) –
No description available
`latter_half_vbv_buffer_size` (Number) –
No description available
`first_half_vbv_occupancy` (Number) –
No description available
`latter_half_vbv_occupancy` (Number) –
No description available
`bit_rate` (Number) –
No description available
`vbv_buffer_size` (Number) –
No description available
`shape` (GstCodecParsers.Mpeg4VideoObjectLayerShape) –
No description available
`shape_extension` (Number) –
No description available
`vop_time_increment_resolution` (Number) –
No description available
`vop_time_increment_bits` (Number) –
No description available
`fixed_vop_rate` (Number) –
No description available
`fixed_vop_time_increment` (Number) –
No description available
`width` (Number) –
No description available
`height` (Number) –
No description available
`interlaced` (Number) –
No description available
`obmc_disable` (Number) –
No description available
`sprite_enable` (GstCodecParsers.Mpeg4SpriteEnable) –
No description available
`sprite_width` (Number) –
No description available
`sprite_height` (Number) –
No description available
`sprite_left_coordinate` (Number) –
No description available
`sprite_top_coordinate` (Number) –
No description available
`no_of_sprite_warping_points` (Number) –
No description available
`sprite_warping_accuracy` (Number) –
No description available
`sprite_brightness_change` (Number) –
No description available
`low_latency_sprite_enable` (Number) –
No description available
`sadct_disable` (Number) –
No description available
`not_8_bit` (Number) –
No description available
`quant_precision` (Number) –
No description available
`bits_per_pixel` (Number) –
No description available
`no_gray_quant_update` (Number) –
No description available
`composition_method` (Number) –
No description available
`linear_composition` (Number) –
No description available
`quant_type` (Number) –
No description available
`load_intra_quant_mat` (Number) –
No description available
`intra_quant_mat` ([ Number ]) –
No description available
`load_non_intra_quant_mat` (Number) –
No description available
`non_intra_quant_mat` ([ Number ]) –
No description available
`quarter_sample` (Number) –
No description available
`complexity_estimation_disable` (Number) –
No description available
`resync_marker_disable` (Number) –
No description available
`data_partitioned` (Number) –
No description available
`reversible_vlc` (Number) –
No description available
`newpred_enable` (Number) –
No description available
`reduced_resolution_vop_enable` (Number) –
No description available
`scalability` (Number) –
No description available
`enhancement_type` (Number) –
No description available
`short_hdr` (GstCodecParsers.Mpeg4VideoPlaneShortHdr) –
No description available

## GstCodecParsers.Mpeg4VideoObjectLayer

The video object layer structure as defined in: 6.2.3 Video Object Layer

### Members

`random_accessible_vol` (int) –
No description available
`video_object_type_indication` (int) –
No description available
`is_object_layer_identifier` (int) –
No description available
`verid` (int) –
No description available
`priority` (int) –
No description available
`aspect_ratio_info` (GstCodecParsers.Mpeg4AspectRatioInfo) –
No description available
`par_width` (int) –
No description available
`par_height` (int) –
No description available
`control_parameters` (int) –
No description available
`chroma_format` (GstCodecParsers.Mpeg4ChromaFormat) –
No description available
`low_delay` (int) –
No description available
`vbv_parameters` (int) –
No description available
`first_half_bitrate` (int) –
No description available
`latter_half_bitrate` (int) –
No description available
`first_half_vbv_buffer_size` (int) –
No description available
`latter_half_vbv_buffer_size` (int) –
No description available
`first_half_vbv_occupancy` (int) –
No description available
`latter_half_vbv_occupancy` (int) –
No description available
`bit_rate` (int) –
No description available
`vbv_buffer_size` (int) –
No description available
`shape` (GstCodecParsers.Mpeg4VideoObjectLayerShape) –
No description available
`shape_extension` (int) –
No description available
`vop_time_increment_resolution` (int) –
No description available
`vop_time_increment_bits` (int) –
No description available
`fixed_vop_rate` (int) –
No description available
`fixed_vop_time_increment` (int) –
No description available
`width` (int) –
No description available
`height` (int) –
No description available
`interlaced` (int) –
No description available
`obmc_disable` (int) –
No description available
`sprite_enable` (GstCodecParsers.Mpeg4SpriteEnable) –
No description available
`sprite_width` (int) –
No description available
`sprite_height` (int) –
No description available
`sprite_left_coordinate` (int) –
No description available
`sprite_top_coordinate` (int) –
No description available
`no_of_sprite_warping_points` (int) –
No description available
`sprite_warping_accuracy` (int) –
No description available
`sprite_brightness_change` (int) –
No description available
`low_latency_sprite_enable` (int) –
No description available
`sadct_disable` (int) –
No description available
`not_8_bit` (int) –
No description available
`quant_precision` (int) –
No description available
`bits_per_pixel` (int) –
No description available
`no_gray_quant_update` (int) –
No description available
`composition_method` (int) –
No description available
`linear_composition` (int) –
No description available
`quant_type` (int) –
No description available
`load_intra_quant_mat` (int) –
No description available
`intra_quant_mat` ([ int ]) –
No description available
`load_non_intra_quant_mat` (int) –
No description available
`non_intra_quant_mat` ([ int ]) –
No description available
`quarter_sample` (int) –
No description available
`complexity_estimation_disable` (int) –
No description available
`resync_marker_disable` (int) –
No description available
`data_partitioned` (int) –
No description available
`reversible_vlc` (int) –
No description available
`newpred_enable` (int) –
No description available
`reduced_resolution_vop_enable` (int) –
No description available
`scalability` (int) –
No description available
`enhancement_type` (int) –
No description available
`short_hdr` (GstCodecParsers.Mpeg4VideoPlaneShortHdr) –
No description available

## GstMpeg4VideoObjectPlane

The Video object plane structure as defined in: 6.2.5 Video Object Plane and Video Plane with Short Header

### Members

`coding_type` (GstMpeg4VideoObjectCodingType) –
No description available
`modulo_time_base` (guint8) –
No description available
`time_increment` (guint16) –
No description available
`coded` (guint8) –
No description available
`id` (guint16) –
No description available
`id_for_prediction_indication` (guint8) –
No description available
`id_for_prediction` (guint16) –
No description available
`width` (guint16) –
No description available
`height` (guint16) –
No description available
`horizontal_mc_spatial_ref` (guint16) –
No description available
`vertical_mc_spatial_ref` (guint16) –
No description available
`rounding_type` (guint8) –
No description available
`background_composition` (guint8) –
No description available
`change_conv_ratio_disable` (guint8) –
No description available
`constant_alpha` (guint8) –
No description available
`constant_alpha_value` (guint8) –
No description available
`reduced_resolution` (guint8) –
No description available
`intra_dc_vlc_thr` (guint8) –
No description available
`top_field_first` (guint8) –
No description available
`alternate_vertical_scan_flag` (guint8) –
No description available
`quant` (guint16) –
No description available
`fcode_forward` (guint8) –
No description available
`fcode_backward` (guint8) –
No description available
`shape_coding_type` (guint8) –
No description available
`load_backward_shape` (guint8) –
No description available
`ref_select_code` (guint8) –
No description available
`mb_height` (guint16) –
No description available
`mb_width` (guint16) –
No description available
`mb_num` (guint) –
No description available
`size` (guint) –
No description available

## GstCodecParsers.Mpeg4VideoObjectPlane

The Video object plane structure as defined in: 6.2.5 Video Object Plane and Video Plane with Short Header

### Members

`coding_type` (GstCodecParsers.Mpeg4VideoObjectCodingType) –
No description available
`modulo_time_base` (Number) –
No description available
`time_increment` (Number) –
No description available
`coded` (Number) –
No description available
`id` (Number) –
No description available
`id_for_prediction_indication` (Number) –
No description available
`id_for_prediction` (Number) –
No description available
`width` (Number) –
No description available
`height` (Number) –
No description available
`horizontal_mc_spatial_ref` (Number) –
No description available
`vertical_mc_spatial_ref` (Number) –
No description available
`rounding_type` (Number) –
No description available
`background_composition` (Number) –
No description available
`change_conv_ratio_disable` (Number) –
No description available
`constant_alpha` (Number) –
No description available
`constant_alpha_value` (Number) –
No description available
`reduced_resolution` (Number) –
No description available
`intra_dc_vlc_thr` (Number) –
No description available
`top_field_first` (Number) –
No description available
`alternate_vertical_scan_flag` (Number) –
No description available
`quant` (Number) –
No description available
`fcode_forward` (Number) –
No description available
`fcode_backward` (Number) –
No description available
`shape_coding_type` (Number) –
No description available
`load_backward_shape` (Number) –
No description available
`ref_select_code` (Number) –
No description available
`mb_height` (Number) –
No description available
`mb_width` (Number) –
No description available
`mb_num` (Number) –
No description available
`size` (Number) –
No description available

## GstCodecParsers.Mpeg4VideoObjectPlane

The Video object plane structure as defined in: 6.2.5 Video Object Plane and Video Plane with Short Header

### Members

`coding_type` (GstCodecParsers.Mpeg4VideoObjectCodingType) –
No description available
`modulo_time_base` (int) –
No description available
`time_increment` (int) –
No description available
`coded` (int) –
No description available
`id` (int) –
No description available
`id_for_prediction_indication` (int) –
No description available
`id_for_prediction` (int) –
No description available
`width` (int) –
No description available
`height` (int) –
No description available
`horizontal_mc_spatial_ref` (int) –
No description available
`vertical_mc_spatial_ref` (int) –
No description available
`rounding_type` (int) –
No description available
`background_composition` (int) –
No description available
`change_conv_ratio_disable` (int) –
No description available
`constant_alpha` (int) –
No description available
`constant_alpha_value` (int) –
No description available
`reduced_resolution` (int) –
No description available
`intra_dc_vlc_thr` (int) –
No description available
`top_field_first` (int) –
No description available
`alternate_vertical_scan_flag` (int) –
No description available
`quant` (int) –
No description available
`fcode_forward` (int) –
No description available
`fcode_backward` (int) –
No description available
`shape_coding_type` (int) –
No description available
`load_backward_shape` (int) –
No description available
`ref_select_code` (int) –
No description available
`mb_height` (int) –
No description available
`mb_width` (int) –
No description available
`mb_num` (int) –
No description available
`size` (int) –
No description available

## GstMpeg4VideoPacketHdr

The video packet header structure as defined in: 6.2.5.2 Video Plane with Short Header

### Members

`header_extension_code` (guint8) –
No description available
`macroblock_number` (guint16) –
No description available
`quant_scale` (guint16) –
No description available
`size` (guint) –

Size of the header in bit.

## GstCodecParsers.Mpeg4VideoPacketHdr

The video packet header structure as defined in: 6.2.5.2 Video Plane with Short Header

### Members

`header_extension_code` (Number) –
No description available
`macroblock_number` (Number) –
No description available
`quant_scale` (Number) –
No description available
`size` (Number) –

Size of the header in bit.

## GstCodecParsers.Mpeg4VideoPacketHdr

The video packet header structure as defined in: 6.2.5.2 Video Plane with Short Header

### Members

`header_extension_code` (int) –
No description available
`macroblock_number` (int) –
No description available
`quant_scale` (int) –
No description available
`size` (int) –

Size of the header in bit.

## GstMpeg4VideoPlaneShortHdr

The video plane short header structure as defined in: 6.2.5.2 Video Plane with Short Header

### Members

`temporal_reference` (guint8) –
No description available
`split_screen_indicator` (guint8) –
No description available
`document_camera_indicator` (guint8) –
No description available
`full_picture_freeze_release` (guint8) –
No description available
`source_format` (guint8) –
No description available
`picture_coding_type` (guint8) –
No description available
`vop_quant` (guint8) –
No description available
`pei` (guint8) –
No description available
`psupp` (guint8) –
No description available
`gob_header_empty` (guint8) –
No description available
`gob_number` (guint8) –
No description available
`gob_frame_id` (guint8) –
No description available
`quant_scale` (guint8) –
No description available
`vop_width` (guint16) –
No description available
`vop_height` (guint16) –
No description available
`num_macroblocks_in_gob` (guint16) –
No description available
`num_gobs_in_vop` (guint8) –
No description available
`size` (guint) –
No description available

## GstCodecParsers.Mpeg4VideoPlaneShortHdr

The video plane short header structure as defined in: 6.2.5.2 Video Plane with Short Header

### Members

`temporal_reference` (Number) –
No description available
`split_screen_indicator` (Number) –
No description available
`document_camera_indicator` (Number) –
No description available
`full_picture_freeze_release` (Number) –
No description available
`source_format` (Number) –
No description available
`picture_coding_type` (Number) –
No description available
`vop_quant` (Number) –
No description available
`pei` (Number) –
No description available
`psupp` (Number) –
No description available
`gob_header_empty` (Number) –
No description available
`gob_number` (Number) –
No description available
`gob_frame_id` (Number) –
No description available
`quant_scale` (Number) –
No description available
`vop_width` (Number) –
No description available
`vop_height` (Number) –
No description available
`num_macroblocks_in_gob` (Number) –
No description available
`num_gobs_in_vop` (Number) –
No description available
`size` (Number) –
No description available

## GstCodecParsers.Mpeg4VideoPlaneShortHdr

The video plane short header structure as defined in: 6.2.5.2 Video Plane with Short Header

### Members

`temporal_reference` (int) –
No description available
`split_screen_indicator` (int) –
No description available
`document_camera_indicator` (int) –
No description available
`full_picture_freeze_release` (int) –
No description available
`source_format` (int) –
No description available
`picture_coding_type` (int) –
No description available
`vop_quant` (int) –
No description available
`pei` (int) –
No description available
`psupp` (int) –
No description available
`gob_header_empty` (int) –
No description available
`gob_number` (int) –
No description available
`gob_frame_id` (int) –
No description available
`quant_scale` (int) –
No description available
`vop_width` (int) –
No description available
`vop_height` (int) –
No description available
`num_macroblocks_in_gob` (int) –
No description available
`num_gobs_in_vop` (int) –
No description available
`size` (int) –
No description available

## GstMpeg4VideoSignalType

The video signal type structure as defined in: 6.2.2 Visual Object Sequence and Visual Object.

### Members

`type` (guint8) –
No description available
`format` (guint8) –
No description available
`range` (guint8) –
No description available
`color_description` (guint8) –
No description available
`color_primaries` (guint8) –
No description available
`transfer_characteristics` (guint8) –
No description available
`matrix_coefficients` (guint8) –
No description available

## GstCodecParsers.Mpeg4VideoSignalType

The video signal type structure as defined in: 6.2.2 Visual Object Sequence and Visual Object.

### Members

`type` (Number) –
No description available
`format` (Number) –
No description available
`range` (Number) –
No description available
`color_description` (Number) –
No description available
`color_primaries` (Number) –
No description available
`transfer_characteristics` (Number) –
No description available
`matrix_coefficients` (Number) –
No description available

## GstCodecParsers.Mpeg4VideoSignalType

The video signal type structure as defined in: 6.2.2 Visual Object Sequence and Visual Object.

### Members

`type` (int) –
No description available
`format` (int) –
No description available
`range` (int) –
No description available
`color_description` (int) –
No description available
`color_primaries` (int) –
No description available
`transfer_characteristics` (int) –
No description available
`matrix_coefficients` (int) –
No description available

## GstMpeg4VisualObject

The visual object structure as defined in: 6.2.2 Visual Object Sequence and Visual Object

### Members

`is_identifier` (guint8) –
No description available
`verid` (guint8) –
No description available
`priority` (guint8) –
No description available
`type` (GstMpeg4VisualObjectType) –
No description available

## GstCodecParsers.Mpeg4VisualObject

The visual object structure as defined in: 6.2.2 Visual Object Sequence and Visual Object

### Members

`is_identifier` (Number) –
No description available
`verid` (Number) –
No description available
`priority` (Number) –
No description available
`type` (GstCodecParsers.Mpeg4VisualObjectType) –
No description available

## GstCodecParsers.Mpeg4VisualObject

The visual object structure as defined in: 6.2.2 Visual Object Sequence and Visual Object

### Members

`is_identifier` (int) –
No description available
`verid` (int) –
No description available
`priority` (int) –
No description available
`type` (GstCodecParsers.Mpeg4VisualObjectType) –
No description available

## GstMpeg4VisualObjectSequence

The visual object sequence structure as defined in: 6.2.2 Visual Object Sequence and Visual Object

### Members

`profile_and_level_indication` (guint8) –
No description available
`level` (GstMpeg4Level) –
No description available
`profile` (GstMpeg4Profile) –
No description available

## GstCodecParsers.Mpeg4VisualObjectSequence

The visual object sequence structure as defined in: 6.2.2 Visual Object Sequence and Visual Object

### Members

`profile_and_level_indication` (Number) –
No description available
`level` (GstCodecParsers.Mpeg4Level) –
No description available
`profile` (GstCodecParsers.Mpeg4Profile) –
No description available

## GstCodecParsers.Mpeg4VisualObjectSequence

The visual object sequence structure as defined in: 6.2.2 Visual Object Sequence and Visual Object

### Members

`profile_and_level_indication` (int) –
No description available
`level` (GstCodecParsers.Mpeg4Level) –
No description available
`profile` (GstCodecParsers.Mpeg4Profile) –
No description available

## Functions

### gst_h263_parse

    GstMpeg4ParseResult
    gst_h263_parse (GstMpeg4Packet * packet,
                    const guint8 * data,
                    guint offset,
                    gsize size)

Parses data and fills packet with the information of the next packet found.

Note that the type of the packet is meaningless in this case.

Parameters:

`packet` –

The GstMpeg4Packet to fill

`data` –

The data to parse

`offset` –

offset from which to start the parsing

`size` –

The size of the data to parse

Returns –

a GstMpeg4ParseResult

### GstCodecParsers.prototype.h263_parse

    function GstCodecParsers.prototype.h263_parse(packet: GstCodecParsers.Mpeg4Packet, data: Number, offset: Number, size: Number): {
        // javascript wrapper for 'gst_h263_parse'
    }

Parses data and fills packet with the information of the next packet found.

Note that the type of the packet is meaningless in this case.

Parameters:

`packet` (GstCodecParsers.Mpeg4Packet) –

The GstCodecParsers.Mpeg4Packet to fill

`data` (Number) –

The data to parse

`offset` (Number) –

offset from which to start the parsing

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### GstCodecParsers.h263_parse

    def GstCodecParsers.h263_parse (packet, data, offset, size):
        #python wrapper for 'gst_h263_parse'

Parses data and fills packet with the information of the next packet found.

Note that the type of the packet is meaningless in this case.

Parameters:

`packet` (GstCodecParsers.Mpeg4Packet) –

The GstCodecParsers.Mpeg4Packet to fill

`data` (int) –

The data to parse

`offset` (int) –

offset from which to start the parsing

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### gst_mpeg4_parse

    GstMpeg4ParseResult
    gst_mpeg4_parse (GstMpeg4Packet * packet,
                     gboolean skip_user_data,
                     GstMpeg4VideoObjectPlane * vop,
                     const guint8 * data,
                     guint offset,
                     gsize size)

Parses data and fills packet with the information of the next packet found.

Parameters:

`packet` –

The GstMpeg4Packet to fill

`skip_user_data` –

TRUE to skip user data packet FALSE otherwise

`vop` –

The last parsed GstMpeg4VideoObjectPlane or NULL if you do not need to detect the resync codes.

`data` –

The data to parse

`offset` –

offset from which to start the parsing

`size` –

The size of the data to parse

Returns –

a GstMpeg4ParseResult

### GstCodecParsers.prototype.mpeg4_parse

    function GstCodecParsers.prototype.mpeg4_parse(packet: GstCodecParsers.Mpeg4Packet, skip_user_data: Number, vop: GstCodecParsers.Mpeg4VideoObjectPlane, data: Number, offset: Number, size: Number): {
        // javascript wrapper for 'gst_mpeg4_parse'
    }

Parses data and fills packet with the information of the next packet found.

Parameters:

`packet` (GstCodecParsers.Mpeg4Packet) –

The GstCodecParsers.Mpeg4Packet to fill

`skip_user_data` (Number) –

true to skip user data packet false otherwise

`vop` (GstCodecParsers.Mpeg4VideoObjectPlane) –

The last parsed GstCodecParsers.Mpeg4VideoObjectPlane or null if you do not need to detect the resync codes.

`data` (Number) –

The data to parse

`offset` (Number) –

offset from which to start the parsing

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### GstCodecParsers.mpeg4_parse

    def GstCodecParsers.mpeg4_parse (packet, skip_user_data, vop, data, offset, size):
        #python wrapper for 'gst_mpeg4_parse'

Parses data and fills packet with the information of the next packet found.

Parameters:

`packet` (GstCodecParsers.Mpeg4Packet) –

The GstCodecParsers.Mpeg4Packet to fill

`skip_user_data` (bool) –

True to skip user data packet False otherwise

`vop` (GstCodecParsers.Mpeg4VideoObjectPlane) –

The last parsed GstCodecParsers.Mpeg4VideoObjectPlane or None if you do not need to detect the resync codes.

`data` (int) –

The data to parse

`offset` (int) –

offset from which to start the parsing

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### gst_mpeg4_parse_group_of_vop

    GstMpeg4ParseResult
    gst_mpeg4_parse_group_of_vop (GstMpeg4GroupOfVOP * gov,
                                  const guint8 * data,
                                  gsize size)

Parses data containing the group of video object plane packet, and fills the gov structure.

Parameters:

`gov` –

The GstMpeg4GroupOfVOP structure to fill

`data` –

The data to parse

`size` –

The size of the data to parse

Returns –

a GstMpeg4ParseResult

### GstCodecParsers.prototype.mpeg4_parse_group_of_vop

    function GstCodecParsers.prototype.mpeg4_parse_group_of_vop(gov: GstCodecParsers.Mpeg4GroupOfVOP, data: Number, size: Number): {
        // javascript wrapper for 'gst_mpeg4_parse_group_of_vop'
    }

Parses data containing the group of video object plane packet, and fills the gov structure.

Parameters:

`gov` (GstCodecParsers.Mpeg4GroupOfVOP) –

The GstCodecParsers.Mpeg4GroupOfVOP structure to fill

`data` (Number) –

The data to parse

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### GstCodecParsers.mpeg4_parse_group_of_vop

    def GstCodecParsers.mpeg4_parse_group_of_vop (gov, data, size):
        #python wrapper for 'gst_mpeg4_parse_group_of_vop'

Parses data containing the group of video object plane packet, and fills the gov structure.

Parameters:

`gov` (GstCodecParsers.Mpeg4GroupOfVOP) –

The GstCodecParsers.Mpeg4GroupOfVOP structure to fill

`data` (int) –

The data to parse

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### gst_mpeg4_parse_video_object_layer

    GstMpeg4ParseResult
    gst_mpeg4_parse_video_object_layer (GstMpeg4VideoObjectLayer * vol,
                                        GstMpeg4VisualObject * vo,
                                        const guint8 * data,
                                        gsize size)

Parses data containing the video object layer packet, and fills the vol structure.

Parameters:

`vol` –

The GstMpeg4VideoObjectLayer structure to fill

`vo` –

The GstMpeg4VisualObject currently being parsed or NULL

`data` –

The data to parse

`size` –

The size of the data to parse

Returns –

a GstMpeg4ParseResult

### GstCodecParsers.prototype.mpeg4_parse_video_object_layer

    function GstCodecParsers.prototype.mpeg4_parse_video_object_layer(vol: GstCodecParsers.Mpeg4VideoObjectLayer, vo: GstCodecParsers.Mpeg4VisualObject, data: Number, size: Number): {
        // javascript wrapper for 'gst_mpeg4_parse_video_object_layer'
    }

Parses data containing the video object layer packet, and fills the vol structure.

Parameters:

`vol` (GstCodecParsers.Mpeg4VideoObjectLayer) –

The GstCodecParsers.Mpeg4VideoObjectLayer structure to fill

`vo` (GstCodecParsers.Mpeg4VisualObject) –

The GstCodecParsers.Mpeg4VisualObject currently being parsed or null

`data` (Number) –

The data to parse

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### GstCodecParsers.mpeg4_parse_video_object_layer

    def GstCodecParsers.mpeg4_parse_video_object_layer (vol, vo, data, size):
        #python wrapper for 'gst_mpeg4_parse_video_object_layer'

Parses data containing the video object layer packet, and fills the vol structure.

Parameters:

`vol` (GstCodecParsers.Mpeg4VideoObjectLayer) –

The GstCodecParsers.Mpeg4VideoObjectLayer structure to fill

`vo` (GstCodecParsers.Mpeg4VisualObject) –

The GstCodecParsers.Mpeg4VisualObject currently being parsed or None

`data` (int) –

The data to parse

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### gst_mpeg4_parse_video_object_plane

    GstMpeg4ParseResult
    gst_mpeg4_parse_video_object_plane (GstMpeg4VideoObjectPlane * vop,
                                        GstMpeg4SpriteTrajectory * sprite_trajectory,
                                        GstMpeg4VideoObjectLayer * vol,
                                        const guint8 * data,
                                        gsize size)

Parses data containing the video object plane packet, and fills the vol structure.

Parameters:

`vop` –

The GstMpeg4VideoObjectPlane currently being parsed

`sprite_trajectory` –

A GstMpeg4SpriteTrajectory to fill or NULL

`vol` –

The GstMpeg4VideoObjectLayer structure to fill

`data` –

The data to parse

`size` –

The size of the data to parse

Returns –

a GstMpeg4ParseResult

### GstCodecParsers.prototype.mpeg4_parse_video_object_plane

    function GstCodecParsers.prototype.mpeg4_parse_video_object_plane(vop: GstCodecParsers.Mpeg4VideoObjectPlane, sprite_trajectory: GstCodecParsers.Mpeg4SpriteTrajectory, vol: GstCodecParsers.Mpeg4VideoObjectLayer, data: Number, size: Number): {
        // javascript wrapper for 'gst_mpeg4_parse_video_object_plane'
    }

Parses data containing the video object plane packet, and fills the vol structure.

Parameters:

`vop` (GstCodecParsers.Mpeg4VideoObjectPlane) –

The GstCodecParsers.Mpeg4VideoObjectPlane currently being parsed

`sprite_trajectory` (GstCodecParsers.Mpeg4SpriteTrajectory) –

A GstCodecParsers.Mpeg4SpriteTrajectory to fill or null

`vol` (GstCodecParsers.Mpeg4VideoObjectLayer) –

The GstCodecParsers.Mpeg4VideoObjectLayer structure to fill

`data` (Number) –

The data to parse

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### GstCodecParsers.mpeg4_parse_video_object_plane

    def GstCodecParsers.mpeg4_parse_video_object_plane (vop, sprite_trajectory, vol, data, size):
        #python wrapper for 'gst_mpeg4_parse_video_object_plane'

Parses data containing the video object plane packet, and fills the vol structure.

Parameters:

`vop` (GstCodecParsers.Mpeg4VideoObjectPlane) –

The GstCodecParsers.Mpeg4VideoObjectPlane currently being parsed

`sprite_trajectory` (GstCodecParsers.Mpeg4SpriteTrajectory) –

A GstCodecParsers.Mpeg4SpriteTrajectory to fill or None

`vol` (GstCodecParsers.Mpeg4VideoObjectLayer) –

The GstCodecParsers.Mpeg4VideoObjectLayer structure to fill

`data` (int) –

The data to parse

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### gst_mpeg4_parse_video_packet_header

    GstMpeg4ParseResult
    gst_mpeg4_parse_video_packet_header (GstMpeg4VideoPacketHdr * videopackethdr,
                                         GstMpeg4VideoObjectLayer * vol,
                                         GstMpeg4VideoObjectPlane * vop,
                                         GstMpeg4SpriteTrajectory * sprite_trajectory,
                                         const guint8 * data,
                                         gsize size)

Parsers data containing the video packet header and fills the videopackethdr structure

Parameters:

`videopackethdr` –

The GstMpeg4VideoPacketHdr structure to fill

`vol` –

The last parsed GstMpeg4VideoObjectLayer, will be updated with the information found during the parsing

`vop` –

The last parsed GstMpeg4VideoObjectPlane, will be updated with the information found during the parsing

`sprite_trajectory` –

A GstMpeg4SpriteTrajectory to fill or NULL with the information found during the parsing

`data` –

The data to parse, should be set after the resync marker.

`size` –

The size of the data to parse

Returns –
No description available

### GstCodecParsers.prototype.mpeg4_parse_video_packet_header

    function GstCodecParsers.prototype.mpeg4_parse_video_packet_header(videopackethdr: GstCodecParsers.Mpeg4VideoPacketHdr, vol: GstCodecParsers.Mpeg4VideoObjectLayer, vop: GstCodecParsers.Mpeg4VideoObjectPlane, sprite_trajectory: GstCodecParsers.Mpeg4SpriteTrajectory, data: Number, size: Number): {
        // javascript wrapper for 'gst_mpeg4_parse_video_packet_header'
    }

Parsers data containing the video packet header and fills the videopackethdr structure

Parameters:

`videopackethdr` (GstCodecParsers.Mpeg4VideoPacketHdr) –

The GstCodecParsers.Mpeg4VideoPacketHdr structure to fill

`vol` (GstCodecParsers.Mpeg4VideoObjectLayer) –

The last parsed GstCodecParsers.Mpeg4VideoObjectLayer, will be updated with the information found during the parsing

`vop` (GstCodecParsers.Mpeg4VideoObjectPlane) –

The last parsed GstCodecParsers.Mpeg4VideoObjectPlane, will be updated with the information found during the parsing

`sprite_trajectory` (GstCodecParsers.Mpeg4SpriteTrajectory) –

A GstCodecParsers.Mpeg4SpriteTrajectory to fill or null with the information found during the parsing

`data` (Number) –

The data to parse, should be set after the resync marker.

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –
No description available

### GstCodecParsers.mpeg4_parse_video_packet_header

    def GstCodecParsers.mpeg4_parse_video_packet_header (videopackethdr, vol, vop, sprite_trajectory, data, size):
        #python wrapper for 'gst_mpeg4_parse_video_packet_header'

Parsers data containing the video packet header and fills the videopackethdr structure

Parameters:

`videopackethdr` (GstCodecParsers.Mpeg4VideoPacketHdr) –

The GstCodecParsers.Mpeg4VideoPacketHdr structure to fill

`vol` (GstCodecParsers.Mpeg4VideoObjectLayer) –

The last parsed GstCodecParsers.Mpeg4VideoObjectLayer, will be updated with the information found during the parsing

`vop` (GstCodecParsers.Mpeg4VideoObjectPlane) –

The last parsed GstCodecParsers.Mpeg4VideoObjectPlane, will be updated with the information found during the parsing

`sprite_trajectory` (GstCodecParsers.Mpeg4SpriteTrajectory) –

A GstCodecParsers.Mpeg4SpriteTrajectory to fill or None with the information found during the parsing

`data` (int) –

The data to parse, should be set after the resync marker.

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –
No description available

### gst_mpeg4_parse_video_plane_short_header

    GstMpeg4ParseResult
    gst_mpeg4_parse_video_plane_short_header (GstMpeg4VideoPlaneShortHdr * shorthdr,
                                              const guint8 * data,
                                              gsize size)

Parameters:

`shorthdr` –
No description available
`data` –
No description available
`size` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.mpeg4_parse_video_plane_short_header

    function GstCodecParsers.prototype.mpeg4_parse_video_plane_short_header(shorthdr: GstCodecParsers.Mpeg4VideoPlaneShortHdr, data: Number, size: Number): {
        // javascript wrapper for 'gst_mpeg4_parse_video_plane_short_header'
    }

Parameters:

`shorthdr` (GstCodecParsers.Mpeg4VideoPlaneShortHdr) –
No description available
`data` (Number) –
No description available
`size` (Number) –
No description available
Returns (GstCodecParsers.Mpeg4ParseResult) –
No description available

### GstCodecParsers.mpeg4_parse_video_plane_short_header

    def GstCodecParsers.mpeg4_parse_video_plane_short_header (shorthdr, data, size):
        #python wrapper for 'gst_mpeg4_parse_video_plane_short_header'

Parameters:

`shorthdr` (GstCodecParsers.Mpeg4VideoPlaneShortHdr) –
No description available
`data` (int) –
No description available
`size` (int) –
No description available
Returns (GstCodecParsers.Mpeg4ParseResult) –
No description available

### gst_mpeg4_parse_visual_object

    GstMpeg4ParseResult
    gst_mpeg4_parse_visual_object (GstMpeg4VisualObject * vo,
                                   GstMpeg4VideoSignalType * signal_type,
                                   const guint8 * data,
                                   gsize size)

Parses data containing the visual object packet, and fills the vo structure.

Parameters:

`vo` –

The GstMpeg4VisualObject structure to fill

`signal_type` –

The GstMpeg4VideoSignalType to fill or NULL

`data` –

The data to parse, should contain the vo_start_code but not the start code prefix

`size` –

The size of the data to parse

Returns –

a GstMpeg4ParseResult

### GstCodecParsers.prototype.mpeg4_parse_visual_object

    function GstCodecParsers.prototype.mpeg4_parse_visual_object(vo: GstCodecParsers.Mpeg4VisualObject, signal_type: GstCodecParsers.Mpeg4VideoSignalType, data: Number, size: Number): {
        // javascript wrapper for 'gst_mpeg4_parse_visual_object'
    }

Parses data containing the visual object packet, and fills the vo structure.

Parameters:

`vo` (GstCodecParsers.Mpeg4VisualObject) –

The GstCodecParsers.Mpeg4VisualObject structure to fill

`signal_type` (GstCodecParsers.Mpeg4VideoSignalType) –

The GstCodecParsers.Mpeg4VideoSignalType to fill or null

`data` (Number) –

The data to parse, should contain the vo_start_code but not the start code prefix

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### GstCodecParsers.mpeg4_parse_visual_object

    def GstCodecParsers.mpeg4_parse_visual_object (vo, signal_type, data, size):
        #python wrapper for 'gst_mpeg4_parse_visual_object'

Parses data containing the visual object packet, and fills the vo structure.

Parameters:

`vo` (GstCodecParsers.Mpeg4VisualObject) –

The GstCodecParsers.Mpeg4VisualObject structure to fill

`signal_type` (GstCodecParsers.Mpeg4VideoSignalType) –

The GstCodecParsers.Mpeg4VideoSignalType to fill or None

`data` (int) –

The data to parse, should contain the vo_start_code but not the start code prefix

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### gst_mpeg4_parse_visual_object_sequence

    GstMpeg4ParseResult
    gst_mpeg4_parse_visual_object_sequence (GstMpeg4VisualObjectSequence * vos,
                                            const guint8 * data,
                                            gsize size)

Parses data containing the visual object sequence packet, and fills the vos structure.

Parameters:

`vos` –

The GstMpeg4VisualObjectSequence structure to fill

`data` –

The data to parse, should contain the visual_object_sequence_start_code but not the start code prefix

`size` –

The size of the data to parse

Returns –

a GstMpeg4ParseResult

### GstCodecParsers.prototype.mpeg4_parse_visual_object_sequence

    function GstCodecParsers.prototype.mpeg4_parse_visual_object_sequence(vos: GstCodecParsers.Mpeg4VisualObjectSequence, data: Number, size: Number): {
        // javascript wrapper for 'gst_mpeg4_parse_visual_object_sequence'
    }

Parses data containing the visual object sequence packet, and fills the vos structure.

Parameters:

`vos` (GstCodecParsers.Mpeg4VisualObjectSequence) –

The GstCodecParsers.Mpeg4VisualObjectSequence structure to fill

`data` (Number) –

The data to parse, should contain the visual_object_sequence_start_code but not the start code prefix

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

### GstCodecParsers.mpeg4_parse_visual_object_sequence

    def GstCodecParsers.mpeg4_parse_visual_object_sequence (vos, data, size):
        #python wrapper for 'gst_mpeg4_parse_visual_object_sequence'

Parses data containing the visual object sequence packet, and fills the vos structure.

Parameters:

`vos` (GstCodecParsers.Mpeg4VisualObjectSequence) –

The GstCodecParsers.Mpeg4VisualObjectSequence structure to fill

`data` (int) –

The data to parse, should contain the visual_object_sequence_start_code but not the start code prefix

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Mpeg4ParseResult) –

a GstCodecParsers.Mpeg4ParseResult

## Enumerations

### GstMpeg4AspectRatioInfo

Defines the different pixel aspect ratios as defined in: Table 6-12 -- Meaning of pixel aspect ratio

##### Members

`GST_MPEG4_SQUARE` (1) –

1:1 square

`GST_MPEG4_625_TYPE_4_3` (2) –

12:11 (625-type for 4:3 picture)

`GST_MPEG4_525_TYPE_4_3` (3) –

10:11 (525-type for 4:3 picture)

`GST_MPEG4_625_TYPE_16_9` (4) –

16:11 (625-type stretched for 16:9 picture)

`GST_MPEG4_525_TYPE_16_9` (5) –

40:33 (525-type stretched for 16:9 picture)

`GST_MPEG4_EXTENDED_PAR` (15) –

Extended par

### GstCodecParsers.Mpeg4AspectRatioInfo

Defines the different pixel aspect ratios as defined in: Table 6-12 -- Meaning of pixel aspect ratio

##### Members

`GstCodecParsers.Mpeg4AspectRatioInfo.SQUARE` (1) –

1:1 square

`GstCodecParsers.Mpeg4AspectRatioInfo.625_TYPE_4_3` (2) –

12:11 (625-type for 4:3 picture)

`GstCodecParsers.Mpeg4AspectRatioInfo.525_TYPE_4_3` (3) –

10:11 (525-type for 4:3 picture)

`GstCodecParsers.Mpeg4AspectRatioInfo.625_TYPE_16_9` (4) –

16:11 (625-type stretched for 16:9 picture)

`GstCodecParsers.Mpeg4AspectRatioInfo.525_TYPE_16_9` (5) –

40:33 (525-type stretched for 16:9 picture)

`GstCodecParsers.Mpeg4AspectRatioInfo.EXTENDED_PAR` (15) –

Extended par

### GstCodecParsers.Mpeg4AspectRatioInfo

Defines the different pixel aspect ratios as defined in: Table 6-12 -- Meaning of pixel aspect ratio

##### Members

`GstCodecParsers.Mpeg4AspectRatioInfo.SQUARE` (1) –

1:1 square

`GstCodecParsers.Mpeg4AspectRatioInfo.625_TYPE_4_3` (2) –

12:11 (625-type for 4:3 picture)

`GstCodecParsers.Mpeg4AspectRatioInfo.525_TYPE_4_3` (3) –

10:11 (525-type for 4:3 picture)

`GstCodecParsers.Mpeg4AspectRatioInfo.625_TYPE_16_9` (4) –

16:11 (625-type stretched for 16:9 picture)

`GstCodecParsers.Mpeg4AspectRatioInfo.525_TYPE_16_9` (5) –

40:33 (525-type stretched for 16:9 picture)

`GstCodecParsers.Mpeg4AspectRatioInfo.EXTENDED_PAR` (15) –

Extended par

### GstMpeg4ChromaFormat

The chroma format in use as defined in: Table 6-13 -- Meaning of chroma_format

##### Members

`GST_MPEG4_CHROMA_4_2_0` (1) –
No description available

### GstCodecParsers.Mpeg4ChromaFormat

The chroma format in use as defined in: Table 6-13 -- Meaning of chroma_format

##### Members

`GstCodecParsers.Mpeg4ChromaFormat.MPEG4_CHROMA_4_2_0` (1) –
No description available

### GstCodecParsers.Mpeg4ChromaFormat

The chroma format in use as defined in: Table 6-13 -- Meaning of chroma_format

##### Members

`GstCodecParsers.Mpeg4ChromaFormat.MPEG4_CHROMA_4_2_0` (1) –
No description available

### GstMpeg4Level

Different levels as defined in: 9- Profiles and levels

It is computed using: Table G.1 — FLC table for profile_and_level_indication

##### Members

`GST_MPEG4_LEVEL0` (0) –
No description available
`GST_MPEG4_LEVEL1` (1) –
No description available
`GST_MPEG4_LEVEL2` (2) –
No description available
`GST_MPEG4_LEVEL3` (3) –
No description available
`GST_MPEG4_LEVEL3b` (4) –
No description available
`GST_MPEG4_LEVEL4` (5) –
No description available
`GST_MPEG4_LEVEL5` (6) –
No description available
`GST_MPEG4_LEVEL_RESERVED` (7) –
No description available

### GstCodecParsers.Mpeg4Level

Different levels as defined in: 9- Profiles and levels

It is computed using: Table G.1 — FLC table for profile_and_level_indication

##### Members

`GstCodecParsers.Mpeg4Level.LEVEL0` (0) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL1` (1) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL2` (2) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL3` (3) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL3B` (4) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL4` (5) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL5` (6) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL_RESERVED` (7) –
No description available

### GstCodecParsers.Mpeg4Level

Different levels as defined in: 9- Profiles and levels

It is computed using: Table G.1 — FLC table for profile_and_level_indication

##### Members

`GstCodecParsers.Mpeg4Level.LEVEL0` (0) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL1` (1) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL2` (2) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL3` (3) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL3B` (4) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL4` (5) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL5` (6) –
No description available
`GstCodecParsers.Mpeg4Level.LEVEL_RESERVED` (7) –
No description available

### GstMpeg4ParseResult

Result type of any parsing function.

##### Members

`GST_MPEG4_PARSER_OK` (0) –

The parsing went well

`GST_MPEG4_PARSER_BROKEN_DATA` (1) –

The bitstream was broken

`GST_MPEG4_PARSER_NO_PACKET` (2) –

There was no packet in the buffer

`GST_MPEG4_PARSER_NO_PACKET_END` (3) –

There was no packet end in the buffer

`GST_MPEG4_PARSER_ERROR` (4) –
No description available

### GstCodecParsers.Mpeg4ParseResult

Result type of any parsing function.

##### Members

`GstCodecParsers.Mpeg4ParseResult.OK` (0) –

The parsing went well

`GstCodecParsers.Mpeg4ParseResult.BROKEN_DATA` (1) –

The bitstream was broken

`GstCodecParsers.Mpeg4ParseResult.NO_PACKET` (2) –

There was no packet in the buffer

`GstCodecParsers.Mpeg4ParseResult.NO_PACKET_END` (3) –

There was no packet end in the buffer

`GstCodecParsers.Mpeg4ParseResult.ERROR` (4) –
No description available

### GstCodecParsers.Mpeg4ParseResult

Result type of any parsing function.

##### Members

`GstCodecParsers.Mpeg4ParseResult.OK` (0) –

The parsing went well

`GstCodecParsers.Mpeg4ParseResult.BROKEN_DATA` (1) –

The bitstream was broken

`GstCodecParsers.Mpeg4ParseResult.NO_PACKET` (2) –

There was no packet in the buffer

`GstCodecParsers.Mpeg4ParseResult.NO_PACKET_END` (3) –

There was no packet end in the buffer

`GstCodecParsers.Mpeg4ParseResult.ERROR` (4) –
No description available

### GstMpeg4Profile

Different defined profiles as defined in: 9- Profiles and levels

It is computed using: Table G.1 — FLC table for profile_and_level_indication

##### Members

`GST_MPEG4_PROFILE_CORE` (0) –
No description available
`GST_MPEG4_PROFILE_MAIN` (1) –
No description available
`GST_MPEG4_PROFILE_N_BIT` (2) –
No description available
`GST_MPEG4_PROFILE_SIMPLE` (3) –
No description available
`GST_MPEG4_PROFILE_HYBRID` (4) –
No description available
`GST_MPEG4_PROFILE_RESERVED` (5) –
No description available
`GST_MPEG4_PROFILE_SIMPLE_FBA` (6) –
No description available
`GST_MPEG4_PROFILE_CORE_STUDIO` (7) –
No description available
`GST_MPEG4_PROFILE_SIMPLE_STUDIO` (8) –
No description available
`GST_MPEG4_PROFILE_CORE_SCALABLE` (9) –
No description available
`GST_MPEG4_PROFILE_ADVANCED_CORE` (10) –
No description available
`GST_MPEG4_PROFILE_ADVANCED_SIMPLE` (11) –
No description available
`GST_MPEG4_PROFILE_SIMPLE_SCALABLE` (12) –
No description available
`GST_MPEG4_PROFILE_SCALABLE_TEXTURE` (13) –
No description available
`GST_MPEG4_PROFILE_SIMPLE_FACE_ANIMATION` (14) –
No description available
`GST_MPEG4_PROFILE_BASIC_ANIMATED_TEXTURE` (15) –
No description available
`GST_MPEG4_PROFILE_ADVANCED_REALTIME_SIMPLE` (16) –
No description available
`GST_MPEG4_PROFILE_ADVANCED_SCALABLE_TEXTURE` (17) –
No description available
`GST_MPEG4_PROFILE_FINE_GRANULARITY_SCALABLE` (18) –
No description available
`GST_MPEG4_PROFILE_ADVANCED_CODING_EFFICIENCY` (19) –
No description available

### GstCodecParsers.Mpeg4Profile

Different defined profiles as defined in: 9- Profiles and levels

It is computed using: Table G.1 — FLC table for profile_and_level_indication

##### Members

`GstCodecParsers.Mpeg4Profile.CORE` (0) –
No description available
`GstCodecParsers.Mpeg4Profile.MAIN` (1) –
No description available
`GstCodecParsers.Mpeg4Profile.N_BIT` (2) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE` (3) –
No description available
`GstCodecParsers.Mpeg4Profile.HYBRID` (4) –
No description available
`GstCodecParsers.Mpeg4Profile.RESERVED` (5) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE_FBA` (6) –
No description available
`GstCodecParsers.Mpeg4Profile.CORE_STUDIO` (7) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE_STUDIO` (8) –
No description available
`GstCodecParsers.Mpeg4Profile.CORE_SCALABLE` (9) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_CORE` (10) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_SIMPLE` (11) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE_SCALABLE` (12) –
No description available
`GstCodecParsers.Mpeg4Profile.SCALABLE_TEXTURE` (13) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE_FACE_ANIMATION` (14) –
No description available
`GstCodecParsers.Mpeg4Profile.BASIC_ANIMATED_TEXTURE` (15) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_REALTIME_SIMPLE` (16) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_SCALABLE_TEXTURE` (17) –
No description available
`GstCodecParsers.Mpeg4Profile.FINE_GRANULARITY_SCALABLE` (18) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_CODING_EFFICIENCY` (19) –
No description available

### GstCodecParsers.Mpeg4Profile

Different defined profiles as defined in: 9- Profiles and levels

It is computed using: Table G.1 — FLC table for profile_and_level_indication

##### Members

`GstCodecParsers.Mpeg4Profile.CORE` (0) –
No description available
`GstCodecParsers.Mpeg4Profile.MAIN` (1) –
No description available
`GstCodecParsers.Mpeg4Profile.N_BIT` (2) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE` (3) –
No description available
`GstCodecParsers.Mpeg4Profile.HYBRID` (4) –
No description available
`GstCodecParsers.Mpeg4Profile.RESERVED` (5) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE_FBA` (6) –
No description available
`GstCodecParsers.Mpeg4Profile.CORE_STUDIO` (7) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE_STUDIO` (8) –
No description available
`GstCodecParsers.Mpeg4Profile.CORE_SCALABLE` (9) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_CORE` (10) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_SIMPLE` (11) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE_SCALABLE` (12) –
No description available
`GstCodecParsers.Mpeg4Profile.SCALABLE_TEXTURE` (13) –
No description available
`GstCodecParsers.Mpeg4Profile.SIMPLE_FACE_ANIMATION` (14) –
No description available
`GstCodecParsers.Mpeg4Profile.BASIC_ANIMATED_TEXTURE` (15) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_REALTIME_SIMPLE` (16) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_SCALABLE_TEXTURE` (17) –
No description available
`GstCodecParsers.Mpeg4Profile.FINE_GRANULARITY_SCALABLE` (18) –
No description available
`GstCodecParsers.Mpeg4Profile.ADVANCED_CODING_EFFICIENCY` (19) –
No description available

### GstMpeg4SpriteEnable

Indicates the usage of static sprite coding or global motion compensation (GMC) as defined in: Table V2 - 2 -- Meaning of sprite_enable codewords

##### Members

`GST_MPEG4_SPRITE_UNUSED` (0) –
No description available
`GST_MPEG4_SPRITE_STATIC` (1) –
No description available
`GST_MPEG4_SPRITE_GMG` (2) –
No description available

### GstCodecParsers.Mpeg4SpriteEnable

Indicates the usage of static sprite coding or global motion compensation (GMC) as defined in: Table V2 - 2 -- Meaning of sprite_enable codewords

##### Members

`GstCodecParsers.Mpeg4SpriteEnable.UNUSED` (0) –
No description available
`GstCodecParsers.Mpeg4SpriteEnable.STATIC` (1) –
No description available
`GstCodecParsers.Mpeg4SpriteEnable.GMG` (2) –
No description available

### GstCodecParsers.Mpeg4SpriteEnable

Indicates the usage of static sprite coding or global motion compensation (GMC) as defined in: Table V2 - 2 -- Meaning of sprite_enable codewords

##### Members

`GstCodecParsers.Mpeg4SpriteEnable.UNUSED` (0) –
No description available
`GstCodecParsers.Mpeg4SpriteEnable.STATIC` (1) –
No description available
`GstCodecParsers.Mpeg4SpriteEnable.GMG` (2) –
No description available

### GstMpeg4StartCode

Defines the different startcodes present in the bitstream as defined in: Table 6-3 — Start code values

##### Members

`GST_MPEG4_VIDEO_OBJ_FIRST` (0) –
No description available
`GST_MPEG4_VIDEO_OBJ_LAST` (31) –
No description available
`GST_MPEG4_VIDEO_LAYER_FIRST` (32) –
No description available
`GST_MPEG4_VIDEO_LAYER_LAST` (47) –
No description available
`GST_MPEG4_VISUAL_OBJ_SEQ_START` (176) –
No description available
`GST_MPEG4_VISUAL_OBJ_SEQ_END` (177) –
No description available
`GST_MPEG4_USER_DATA` (178) –
No description available
`GST_MPEG4_GROUP_OF_VOP` (179) –
No description available
`GST_MPEG4_VIDEO_SESSION_ERR` (180) –
No description available
`GST_MPEG4_VISUAL_OBJ` (181) –
No description available
`GST_MPEG4_VIDEO_OBJ_PLANE` (182) –
No description available
`GST_MPEG4_FBA` (186) –
No description available
`GST_MPEG4_FBA_PLAN` (187) –
No description available
`GST_MPEG4_MESH` (188) –
No description available
`GST_MPEG4_MESH_PLAN` (189) –
No description available
`GST_MPEG4_STILL_TEXTURE_OBJ` (190) –
No description available
`GST_MPEG4_TEXTURE_SPATIAL` (191) –
No description available
`GST_MPEG4_TEXTURE_SNR_LAYER` (192) –
No description available
`GST_MPEG4_TEXTURE_TILE` (193) –
No description available
`GST_MPEG4_SHAPE_LAYER` (194) –
No description available
`GST_MPEG4_STUFFING` (195) –
No description available
`GST_MPEG4_SYSTEM_FIRST` (198) –
No description available
`GST_MPEG4_SYSTEM_LAST` (255) –
No description available
`GST_MPEG4_RESYNC` (4095) –
No description available

### GstCodecParsers.Mpeg4StartCode

Defines the different startcodes present in the bitstream as defined in: Table 6-3 — Start code values

##### Members

`GstCodecParsers.Mpeg4StartCode.VIDEO_OBJ_FIRST` (0) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_OBJ_LAST` (31) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_LAYER_FIRST` (32) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_LAYER_LAST` (47) –
No description available
`GstCodecParsers.Mpeg4StartCode.VISUAL_OBJ_SEQ_START` (176) –
No description available
`GstCodecParsers.Mpeg4StartCode.VISUAL_OBJ_SEQ_END` (177) –
No description available
`GstCodecParsers.Mpeg4StartCode.USER_DATA` (178) –
No description available
`GstCodecParsers.Mpeg4StartCode.GROUP_OF_VOP` (179) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_SESSION_ERR` (180) –
No description available
`GstCodecParsers.Mpeg4StartCode.VISUAL_OBJ` (181) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_OBJ_PLANE` (182) –
No description available
`GstCodecParsers.Mpeg4StartCode.FBA` (186) –
No description available
`GstCodecParsers.Mpeg4StartCode.FBA_PLAN` (187) –
No description available
`GstCodecParsers.Mpeg4StartCode.MESH` (188) –
No description available
`GstCodecParsers.Mpeg4StartCode.MESH_PLAN` (189) –
No description available
`GstCodecParsers.Mpeg4StartCode.STILL_TEXTURE_OBJ` (190) –
No description available
`GstCodecParsers.Mpeg4StartCode.TEXTURE_SPATIAL` (191) –
No description available
`GstCodecParsers.Mpeg4StartCode.TEXTURE_SNR_LAYER` (192) –
No description available
`GstCodecParsers.Mpeg4StartCode.TEXTURE_TILE` (193) –
No description available
`GstCodecParsers.Mpeg4StartCode.SHAPE_LAYER` (194) –
No description available
`GstCodecParsers.Mpeg4StartCode.STUFFING` (195) –
No description available
`GstCodecParsers.Mpeg4StartCode.SYSTEM_FIRST` (198) –
No description available
`GstCodecParsers.Mpeg4StartCode.SYSTEM_LAST` (255) –
No description available
`GstCodecParsers.Mpeg4StartCode.RESYNC` (4095) –
No description available

### GstCodecParsers.Mpeg4StartCode

Defines the different startcodes present in the bitstream as defined in: Table 6-3 — Start code values

##### Members

`GstCodecParsers.Mpeg4StartCode.VIDEO_OBJ_FIRST` (0) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_OBJ_LAST` (31) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_LAYER_FIRST` (32) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_LAYER_LAST` (47) –
No description available
`GstCodecParsers.Mpeg4StartCode.VISUAL_OBJ_SEQ_START` (176) –
No description available
`GstCodecParsers.Mpeg4StartCode.VISUAL_OBJ_SEQ_END` (177) –
No description available
`GstCodecParsers.Mpeg4StartCode.USER_DATA` (178) –
No description available
`GstCodecParsers.Mpeg4StartCode.GROUP_OF_VOP` (179) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_SESSION_ERR` (180) –
No description available
`GstCodecParsers.Mpeg4StartCode.VISUAL_OBJ` (181) –
No description available
`GstCodecParsers.Mpeg4StartCode.VIDEO_OBJ_PLANE` (182) –
No description available
`GstCodecParsers.Mpeg4StartCode.FBA` (186) –
No description available
`GstCodecParsers.Mpeg4StartCode.FBA_PLAN` (187) –
No description available
`GstCodecParsers.Mpeg4StartCode.MESH` (188) –
No description available
`GstCodecParsers.Mpeg4StartCode.MESH_PLAN` (189) –
No description available
`GstCodecParsers.Mpeg4StartCode.STILL_TEXTURE_OBJ` (190) –
No description available
`GstCodecParsers.Mpeg4StartCode.TEXTURE_SPATIAL` (191) –
No description available
`GstCodecParsers.Mpeg4StartCode.TEXTURE_SNR_LAYER` (192) –
No description available
`GstCodecParsers.Mpeg4StartCode.TEXTURE_TILE` (193) –
No description available
`GstCodecParsers.Mpeg4StartCode.SHAPE_LAYER` (194) –
No description available
`GstCodecParsers.Mpeg4StartCode.STUFFING` (195) –
No description available
`GstCodecParsers.Mpeg4StartCode.SYSTEM_FIRST` (198) –
No description available
`GstCodecParsers.Mpeg4StartCode.SYSTEM_LAST` (255) –
No description available
`GstCodecParsers.Mpeg4StartCode.RESYNC` (4095) –
No description available

### GstMpeg4VideoObjectCodingType

The vop coding types as defined in: Table 6-20 -- Meaning of vop_coding_type

##### Members

`GST_MPEG4_I_VOP` (0) –

intra-coded (I)

`GST_MPEG4_P_VOP` (1) –

predictive-coded (P)

`GST_MPEG4_B_VOP` (2) –

bidirectionally-predictive-coded (B)

`GST_MPEG4_S_VOP` (3) –

sprite (S)

### GstCodecParsers.Mpeg4VideoObjectCodingType

The vop coding types as defined in: Table 6-20 -- Meaning of vop_coding_type

##### Members

`GstCodecParsers.Mpeg4VideoObjectCodingType.I_VOP` (0) –

intra-coded (I)

`GstCodecParsers.Mpeg4VideoObjectCodingType.P_VOP` (1) –

predictive-coded (P)

`GstCodecParsers.Mpeg4VideoObjectCodingType.B_VOP` (2) –

bidirectionally-predictive-coded (B)

`GstCodecParsers.Mpeg4VideoObjectCodingType.S_VOP` (3) –

sprite (S)

### GstCodecParsers.Mpeg4VideoObjectCodingType

The vop coding types as defined in: Table 6-20 -- Meaning of vop_coding_type

##### Members

`GstCodecParsers.Mpeg4VideoObjectCodingType.I_VOP` (0) –

intra-coded (I)

`GstCodecParsers.Mpeg4VideoObjectCodingType.P_VOP` (1) –

predictive-coded (P)

`GstCodecParsers.Mpeg4VideoObjectCodingType.B_VOP` (2) –

bidirectionally-predictive-coded (B)

`GstCodecParsers.Mpeg4VideoObjectCodingType.S_VOP` (3) –

sprite (S)

### GstMpeg4VideoObjectLayerShape

The different video object layer shapes as defined in: Table 6-16 — Video Object Layer shape type

##### Members

`GST_MPEG4_RECTANGULAR` (0) –
No description available
`GST_MPEG4_BINARY` (1) –
No description available
`GST_MPEG4_BINARY_ONLY` (2) –
No description available
`GST_MPEG4_GRAYSCALE` (3) –
No description available

### GstCodecParsers.Mpeg4VideoObjectLayerShape

The different video object layer shapes as defined in: Table 6-16 — Video Object Layer shape type

##### Members

`GstCodecParsers.Mpeg4VideoObjectLayerShape.RECTANGULAR` (0) –
No description available
`GstCodecParsers.Mpeg4VideoObjectLayerShape.BINARY` (1) –
No description available
`GstCodecParsers.Mpeg4VideoObjectLayerShape.BINARY_ONLY` (2) –
No description available
`GstCodecParsers.Mpeg4VideoObjectLayerShape.GRAYSCALE` (3) –
No description available

### GstCodecParsers.Mpeg4VideoObjectLayerShape

The different video object layer shapes as defined in: Table 6-16 — Video Object Layer shape type

##### Members

`GstCodecParsers.Mpeg4VideoObjectLayerShape.RECTANGULAR` (0) –
No description available
`GstCodecParsers.Mpeg4VideoObjectLayerShape.BINARY` (1) –
No description available
`GstCodecParsers.Mpeg4VideoObjectLayerShape.BINARY_ONLY` (2) –
No description available
`GstCodecParsers.Mpeg4VideoObjectLayerShape.GRAYSCALE` (3) –
No description available

### GstMpeg4VisualObjectType

Defines the different visual object types as defined in: Table 6-5 -- Meaning of visual object type

##### Members

`GST_MPEG4_VIDEO_ID` (1) –
No description available
`GST_MPEG4_STILL_TEXTURE_ID` (2) –
No description available
`GST_MPEG4_STILL_MESH_ID` (3) –
No description available
`GST_MPEG4_STILL_FBA_ID` (4) –
No description available
`GST_MPEG4_STILL_3D_MESH_ID` (5) –
No description available

### GstCodecParsers.Mpeg4VisualObjectType

Defines the different visual object types as defined in: Table 6-5 -- Meaning of visual object type

##### Members

`GstCodecParsers.Mpeg4VisualObjectType.VIDEO_ID` (1) –
No description available
`GstCodecParsers.Mpeg4VisualObjectType.STILL_TEXTURE_ID` (2) –
No description available
`GstCodecParsers.Mpeg4VisualObjectType.STILL_MESH_ID` (3) –
No description available
`GstCodecParsers.Mpeg4VisualObjectType.STILL_FBA_ID` (4) –
No description available
`GstCodecParsers.Mpeg4VisualObjectType.STILL_3D_MESH_ID` (5) –
No description available

### GstCodecParsers.Mpeg4VisualObjectType

Defines the different visual object types as defined in: Table 6-5 -- Meaning of visual object type

##### Members

`GstCodecParsers.Mpeg4VisualObjectType.VIDEO_ID` (1) –
No description available
`GstCodecParsers.Mpeg4VisualObjectType.STILL_TEXTURE_ID` (2) –
No description available
`GstCodecParsers.Mpeg4VisualObjectType.STILL_MESH_ID` (3) –
No description available
`GstCodecParsers.Mpeg4VisualObjectType.STILL_FBA_ID` (4) –
No description available
`GstCodecParsers.Mpeg4VisualObjectType.STILL_3D_MESH_ID` (5) –
No description available

The results of the search are